import request from '@/utils/request'

// 查询行业组织-自律处罚列表
export function listPenalty(query) {
    return request({
        url: '/crmIndustryOrganizationDisciplinePenalty/findByPage',
        method: 'get',
        params: query
    })
}

// 查询行业组织-自律处罚详细
export function getPenalty(id) {
    return request({
        url: '/crmIndustryOrganizationDisciplinePenalty/' + id,
        method: 'get'
    })
}

// 新增行业组织-自律处罚
export function addPenalty(data) {
    return request({
        url: '/crmIndustryOrganizationDisciplinePenalty',
        method: 'post',
        data: data
    })
}

// 修改行业组织-自律处罚
export function updatePenalty(data) {
    return request({
        url: '/crmIndustryOrganizationDisciplinePenalty',
        method: 'put',
        data: data
    })
}

// 删除行业组织-自律处罚
export function delPenalty(id) {
    return request({
        url: '/crmIndustryOrganizationDisciplinePenalty/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPenaltyBatch(ids) {
    console.log(ids);
    return request.post('/crmIndustryOrganizationDisciplinePenalty/delete',ids)
}